package com.wdkl.ncs.android.middleware.model.dos;

import com.fasterxml.jackson.databind.PropertyNamingStrategy;
import com.fasterxml.jackson.databind.annotation.JsonNaming;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.wdkl.ncs.android.middleware.model.annotation.Column;
import com.wdkl.ncs.android.middleware.model.annotation.Id;
import com.wdkl.ncs.android.middleware.model.annotation.PrimaryKeyField;
import com.wdkl.ncs.android.middleware.model.annotation.Table;

import java.io.Serializable;

@Table(name = "ncs_role")
@ApiModel
@JsonNaming(value = PropertyNamingStrategy.SnakeCaseStrategy.class)
public class RoleDO implements Serializable {

    /**
     * 角色主键
     */
    @Column(name = "role_id")
    @ApiModelProperty(value = "角色主键", required = false)
    private Integer roleId;
    /**
     * 同步id
     */
    @Column(name = "union_id")
    @ApiModelProperty(value = "同步id", required = false)
    private String unionId;
    /**
     * 角色名称
     */
    @Column(name = "role_name")
    @ApiModelProperty(value = "角色名称", required = false)
    private String roleName;
    /**
     * 角色
     */
    @Column(name = "auth_ids")
    @ApiModelProperty(value = "角色 ", required = false)
    private String authIds;
    /**
     * 角色描述
     */
    @Column(name = "role_describe")
    @ApiModelProperty(value = "角色描述", required = false)
    private String roleDescribe;
    /**
     * 科室id
     */
    @Column(name = "shop_id")
    @ApiModelProperty(value = "科室id", required = false)
    private Integer shopId;
    /**
     * 是否为隐藏角色,不可见,管理端可见
     */
    @Column(name = "hidden_in_seller")
    @ApiModelProperty(value = "是否为隐藏角色,不可见,管理端可见", required = false)
    private Boolean hiddenInSeller;


    @PrimaryKeyField
    public Integer getRoleId() {
        return roleId;
    }

    public void setRoleId(Integer roleId) {
        this.roleId = roleId;
    }


    public String getUnionId() {
        return unionId;
    }

    public void setUnionId(String unionId) {
        this.unionId = unionId;
    }


    public String getRoleName() {
        return roleName;
    }

    public void setRoleName(String roleName) {
        this.roleName = roleName;
    }


    public String getAuthIds() {
        return authIds;
    }

    public void setAuthIds(String authIds) {
        this.authIds = authIds;
    }


    public String getRoleDescribe() {
        return roleDescribe;
    }

    public void setRoleDescribe(String roleDescribe) {
        this.roleDescribe = roleDescribe;
    }


    public Integer getShopId() {
        return shopId;
    }

    public void setShopId(Integer shopId) {
        this.shopId = shopId;
    }


    public Boolean getHiddenInSeller() {
        return hiddenInSeller;
    }

    public void setHiddenInSeller(Boolean hiddenInSeller) {
        this.hiddenInSeller = hiddenInSeller;
    }

}
